Loading...
Searching...
No Matches
magma_queue Struct Reference
Utilities » Queue management

Define magma_queue structure, which wraps around CUDA and OpenCL queues. More...

`#include <magma_internal.h>`

## Public Member Functions

magma_device_t | device ()
cudaStream_t | cuda_stream ()
cublasHandle_t | cublas_handle ()
cusparseHandle_t | cusparse_handle ()
void ** | get_dAarray ()
void ** | get_dBarray ()
void ** | get_dCarray ()
magma_int_t | get_maxBatch ()

## Detailed Description

Define magma_queue structure, which wraps around CUDA and OpenCL queues.

In C, this is a simple struct. In C++, it is a class with getter member functions. For both C/C++, use magma_queue_create() and magma_queue_destroy() to create and destroy a queue. Global getter functions exist to query the queue.

See also
  magma_queue_create
  magma_queue_create_v2
  magma_queue_destroy
  magma_queue_get_device
  magma_queue_get_cuda_stream
  magma_queue_get_cublas_handle
  magma_queue_get_cusparse_handle
  magma_queue_get_hip_stream
  magma_queue_get_hipblas_handle
  magma_queue_get_hipsparse_handle

## Member Function Documentation

## device()

magma_device_t magma_queue::device | ( |  | ) |

inline

Returns
  device associated with this queue

## cuda_stream()

cudaStream_t magma_queue::cuda_stream | ( |  | ) |

inline

Returns
  CUDA stream associated with this queue; requires CUDA.

## cublas_handle()

cublasHandle_t magma_queue::cublas_handle | ( |  | ) |

inline

Returns
  cuBLAS handle associated with this queue; requires CUDA. MAGMA assumes the handle won't be changed, e.g., its stream won't be modified.

## cusparse_handle()

cusparseHandle_t magma_queue::cusparse_handle | ( |  | ) |

inline

Returns
  cuSparse handle associated with this queue; requires CUDA. MAGMA assumes the handle won't be changed, e.g., its stream won't be modified.

## get_dAarray()

void ** magma_queue::get_dAarray | ( |  | ) |

inline

Returns
  the pointer array dAarray__.

## get_dBarray()

void ** magma_queue::get_dBarray | ( |  | ) |

inline

Returns
  the pointer array dBarray__.

## get_dCarray()

void ** magma_queue::get_dCarray | ( |  | ) |

inline

Returns
  the pointer array dCarray__.

## get_maxBatch()

magma_int_t magma_queue::get_maxBatch | ( |  | ) |

inline

Returns
  the pointer array dCarray__.

The documentation for this struct was generated from the following file:

- /build/magma-rocm-tAGwnH/magma-rocm-2.9.0+ds/control/magma_internal.h